NAMECHEAP(1)

NAME

namecheap - CLI tool to manage NameCheap.com domain records

PREREQUISITES

Namecheap requires an api key, username and address. A configuration file is created when the tool is first run in `~/.namecheap_cfg`.

You must replace these default values with your own:

#!/usr/bin/env python

api_key = '0123456789abcdef0123456789abcdef'

username = 'myusername'

ip_address = '10.0.0.1'

SYNOPSIS
namecheap [-h] [--debug] [--sandbox]

(--add | --delete | --list) [--domain DOMAIN]
    [--type TYPE] [--name NAME] [--address ADDRESS] [--ttl TTL]

OPTIONS

-h, --help
    show this help message and exit

--debug
    If set, enables debug output

--sandbox
    If set, forcing usage of Sandbox API, see README.md for details

--add
    Use to add a record

--delete
    Use to remove a record

--list
    List existing records

--domain DOMAIN
    Domain to manage, default is "example.org", don't forget to override

--type TYPE
    Record type, default is "A"

--name NAME
    Record name, default is "test"

--address ADDRESS
    Address for record to point to, default is "127.0.0.1"

--ttl TTL
    Time-To-Live, in seconds, default is 300

(--add | --delete | --list) [--domain DOMAIN]
    [--type TYPE] [--name NAME] [--address ADDRESS] [--ttl TTL]

SEE ALSO
For more info on this tool see https://github.com/Bemmu/pyNamecheap/.